This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 689770 - rhncfg-manager not able to deploy files with owner/group unknown to system
rhncfg-manager not able to deploy files with owner/group unknown to system
Status: CLOSED DUPLICATE of bug 479087
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
540
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: sat541-triage
  Show dependency treegraph
 
Reported: 2011-03-22 08:08 EDT by Andreas Bleischwitz
Modified: 2012-03-08 04:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-22 16:49:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Bleischwitz 2011-03-22 08:08:51 EDT
Description of problem:
Trying to "download-channel" using rhncfg-manager fails if the owner/group of a configfile is unknown to the system. Susequent files are not deployed.

Version-Release number of selected component (if applicable):
rhncfg-5.9.27-1.el5sat

How reproducible:

Steps to Reproduce:
1. create a configfile owned by a user unknown to the system.
2. try to download this file using "rhncfg-manager download-channel"
3.
  
Actual results:
Python stack-trace:
....
  File "/usr/share/rhn/config_common/utils.py", line 248, in set_file_info
    uid = pwd.getpwnam(finfo['username])[2]
KeyError: 'getpwnam(): name not found: xxxx'


Expected results:
A warning should be displayed, uid/gid should be set to root.

Additional info:
Comment 1 Andreas Bleischwitz 2011-04-28 04:06:37 EDT
Found another position of this BUG:

/usr/share/rhn/config_common/transactions.py (122 + 136)
Comment 3 Tomas Lestach 2011-06-21 05:43:04 EDT
This might be a security issue.

I do not recommend switching file owner/group to root in case the user isn't present in the system.

Nowadays a UserNotFound exception is raised, what I mean is a correct behavior.
Comment 4 Clifford Perry 2011-06-22 16:49:40 EDT

*** This bug has been marked as a duplicate of bug 479087 ***

Note You need to log in before you can comment on or make changes to this bug.